New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Zypper_package prevents upgrade package on chef client > 12.6 #7919

Open
rjnkmr04 opened this Issue Nov 13, 2018 · 3 comments

Comments

Projects
None yet
3 participants
@rjnkmr04

rjnkmr04 commented Nov 13, 2018

It appears that changes were made to zypper.rb that now prevents upgrades. This seems to be a fundamental problem. Would anyone happen to know if there is a possible work around for this issue or if there exists a patch? We see that even the latest available chef client versions also exhinit the same problem”.

Can you please update on this issue. Thanks in advance.

Description

It appears that changes were made to zypper.rb that now prevents upgrades. This seems to be a fundamental problem. Would anyone happen to know if there is a possible work around for this issue or if there exists a patch? We see that even the latest available chef client versions also exist the same problem”.

Chef Version

chef client > 12.6

Platform Version

SLES12 and SLES15

Replication Case

Client Output

package is uptodate even there is new package is available in repo.


Stacktrace

@rjnkmr04

This comment has been minimized.

rjnkmr04 commented Nov 20, 2018

Do we have any latest update on this issue. Thanks

@lamont-granquist

This comment has been minimized.

Contributor

lamont-granquist commented Nov 30, 2018

There's not enough information in this issue

@pixdrift

This comment has been minimized.

Contributor

pixdrift commented Nov 30, 2018

@rjnkmr04 can you provide a reproducer for this? ie. what are you executing and what the result is vs. expected result?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment